<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
		"http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="common">

	<resultMap id="markedObjectResult" type="com.samsung.common.entity.MarkedObject" >
		<result property="firstRegDatetime" column="FIRST_REG_DATETIME" jdbcType="TIMESTAMP"/>
		<result property="firstRegrId" column="FIRST_REGR_ID" />		
		<result property="firstRegrName" column="FIRST_REGR_NAME" />
		<result property="lastModDatetime" column="LAST_MOD_DATETIME"  jdbcType="TIMESTAMP"/>
		<result property="lastModrName" column="LAST_MODR_NAME" />
	</resultMap>
		
	<resultMap id="labelledObjectResult" type="com.samsung.common.entity.LabelledObject" extends="markedObjectResult">
		<result property="koLabel" column="KO_LABEL"/>
		<result property="enLabel" column="EN_LABEL"/>
		<result property="label" column="LABEL"/>
	</resultMap>

</mapper>